<p>directives works!</p>
<!-- structural directives ngIf-->
<div *ngIf="user; then pass; else fail">hello</div>
<ng-template #pass> good-noon </ng-template>
<ng-template #fail> good-bye </ng-template>

<!-- structural directives ngFor -->
<div *ngFor="let user1 of name1">
  {{ user1.name }}
</div>

<!-- structural directives ngSwitch -->
<input type="text" [(ngModel)]="num" />
<div [ngSwitch]="num">
  <div *ngSwitchCase="1">one</div>
  <div *ngSwitchCase="2">two</div>
  <div *ngSwitchCase="3">three</div>
  <div *ngSwitchDefault>default</div>
</div>
